Lib tinyXML2 & libdevil not installed properly

Issue #1164 resolved
Jimmy Delas created an issue

Using cmake 3.10.2, at the final stage (sudo make install), the file libCEGUITinyXML2Parser.so is not properly installed in /usr/local/lib/cegui-0.8.

The file is installed as libCEGUITinyXML2Parser.so whereas the loader search for libCEGUITinyXml2Parser.so

I don't know if the error lies in the installation or the dynamic loader though

Same goes for libCEGUIDevilImageCodec.so instead of libCEGUIDevILImageCodec.so

Comments (8)

  1. Jimmy Delas reporter

    Distributor ID: Ubuntu Description: Ubuntu 18.04.2 LTS Release: 18.04 Codename: bionic

  2. Manh Nguyen Tien

    Could not reproduce on Ubuntu 18.04, it works fine.

    I set the Default XML Parser in CMake GUI as: TinyXML2Parser.

    And Default Image Codec is: DevILImageCodec.

  3. Manh Nguyen Tien

    If it has errors, it's about the wrong CMake usage of user. So I think we can close this if there's no new update in 1 month.

  4. Log in to comment